using Newtonsoft.Json;
using FreeSql.DataAnnotations;
using System;

namespace Txgy.EWS.Client.Entity
{
    [JsonObject(MemberSerialization.OptIn), Table(Name = "alarmrecord")]
    public class AlarmRecordEntity
    {
        [JsonProperty, Column(DbType = "int")]
        public int EventId { get; set; }
        [JsonProperty, Column(DbType = "varchar(254)")]
        public string AlarmTime { get; set; }
        [JsonProperty, Column(DbType = "int")]
        public int AlarmLevel { get; set; }
        /// <summary>
        /// 是否处理：0=未处理;1=已处理;
        /// </summary>
        [JsonProperty, Column(DbType = "int")]
        public int Processed { get; set; } = 0;
        [JsonProperty, Column(DbType = "varchar(254)")]
        public string ProcessTime { get; set; } = "";
        [JsonProperty]
        public double Energy { get; set; }
    }
}
